#  

#*****************************************************************************
#**                Setup Design dependant variables
#*****************************************************************************
set DATE [exec date "+%Y%m%d_%H%M"]
source ./common/extract_v_files.tcl

#/**************************************************************************/
#/*  Step 0 :   setup                                                      */
#/**************************************************************************/
source ./common/parameter.tcl

#/**************************************************************************/
#/*  Step 1 :   set library                                                 */
#/**************************************************************************/
source ./common/set_library.tcl

#/**************************************************************************/
#/*  Step 2 :   read design                                                */
#/**************************************************************************/
source ./common/read_design.tcl

#/**************************************************************************/
#/*  Step 3 :   create clocks                                              */
#/**************************************************************************/
source ./common/set_clock.tcl

#/**************************************************************************/
#/*  Step 4 :   create rst                                                 */
#/**************************************************************************/
source ./common/set_rst.tcl

#/**************************************************************************/
#/*  Step 5 :   create io delay                                            */
#/**************************************************************************/
source ./common/set_io.tcl

#/**************************************************************************/
#/*  Step 6 :   compile                                                    */
#/**************************************************************************/
source ./common/compile.tcl


#/**************************************************************************/
#/*  Step 7 :   output && report                                           */
#/**************************************************************************/
source ./common/out_repo.tcl




