set DATE [exec date "+%Y%m%d_%H%M"]

##########file#########
set chan [open ./setup/library.lst r]
set line_num 0
set outfile "./work/script.tcl"
set fp_write [open $outfile a]

while {[gets $chan line] >= 0} {
    if { ![string match "#*" $line]} {
   incr line_num

       if { $line_num == 3  } {
       set line [string trim $line]       
       # 第三行设置 top 名称
       set TOP_NAME $line
       puts $fp_write "#########output#########"
       puts $fp_write "write -format verilog -hierarchy -output  ../output/${TOP_NAME}_${DATE}.v"
       puts $fp_write "write_sdc  ../output/${TOP_NAME}_${DATE}.sdc"
       puts $fp_write "write_file -format ddc -hierarchy -output ../output/${TOP_NAME}_${DATE}_compile.ddc"
       puts $fp_write "write_sdf  ../output/${TOP_NAME}_${DATE}.sdf"
       puts $fp_write "set_svf -off"
       
       puts $fp_write "########report########"
       puts $fp_write "report_area -nosplit -hierarchy                      > ../report/${TOP_NAME}_${DATE}_area.rpt"
       puts $fp_write "report_qor                                           > ../report/${TOP_NAME}_${DATE}_qor.rpt"
       puts $fp_write "report_timing -max_paths 10000                       >  ../report/${TOP_NAME}_${DATE}_report_timing.rpt"
       puts $fp_write "report_constraint -all_violators -nosplit            >  ../report/${TOP_NAME}_${DATE}_report_constraint.rpt"
       puts $fp_write "report_power                                         > ../report/${TOP_NAME}_${DATE}_power.rpt"

 	  }
	}
}

close $chan
close $fp_write
